Bug 180974 - [PATCH]www/chromium: Fix non-clickable links in 28.0.1500.71_1
[PATCH]www/chromium: Fix non-clickable links in 28.0.1500.71_1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-chromium
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 18:20 UTC by skinc
Modified: 2013-08-03 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1021 bytes, patch)
2013-07-31 18:20 UTC, skinc
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description skinc 2013-07-31 18:20:00 UTC
This patch solves the problem with non-clickable links and restores OSVERSION check to prevent the installation of devel/binutils on 9.1-RELEASE.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-31 18:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-chromium

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rene Ladan freebsd_committer 2013-08-02 09:33:20 UTC
State Changed
From-To: open->feedback

This should be fixed now (revision 324153), can you verify?
Comment 3 dfilter freebsd_committer 2013-08-03 17:17:48 UTC
Author: rene
Date: Sat Aug  3 16:17:05 2013
New Revision: 324197
URL: http://svnweb.freebsd.org/changeset/ports/324197

Log:
  - Update to 28.0.1500.95 [1]
  - FreeBSD 9 has a new enough binutils in base, use that [2]
  
  PR:		ports/180974 [2]
  Submitted by:	Ilia Skalozubov <skinc@skinc.ru>
  Security:	http://vuxml.freebsd.org/freebsd/69098c5c-fc4b-11e2-8ad0-00262d5ed8ee.html [2]

Modified:
  head/www/chromium/Makefile
  head/www/chromium/distinfo

Modified: head/www/chromium/Makefile
==============================================================================
--- head/www/chromium/Makefile	Sat Aug  3 14:56:41 2013	(r324196)
+++ head/www/chromium/Makefile	Sat Aug  3 16:17:05 2013	(r324197)
@@ -5,8 +5,7 @@
 
 PORTNAME=	chromium
 DISTVERSIONPREFIX=	courgette-redacted-
-DISTVERSION=	28.0.1500.71
-PORTREVISION=	2
+DISTVERSION=	28.0.1500.95
 CATEGORIES=	www
 MASTER_SITES=	http://download.goodking.org/downloads/ \
 		ftp://rene-ladan.nl/pub/distfiles/ \
@@ -97,7 +96,7 @@ OPTIONS_DEFAULT=	CODECS GCONF CLANG
 
 .include <bsd.port.options.mk>
 
-.if ${OSVERSION} < 902000 || ! ${PORT_OPTIONS:MCLANG}
+.if ${OSVERSION} < 900033 || ! ${PORT_OPTIONS:MCLANG}
 BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
 CONFIGURE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
 MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin

Modified: head/www/chromium/distinfo
==============================================================================
--- head/www/chromium/distinfo	Sat Aug  3 14:56:41 2013	(r324196)
+++ head/www/chromium/distinfo	Sat Aug  3 16:17:05 2013	(r324197)
@@ -1,2 +1,2 @@
-SHA256 (chromium-courgette-redacted-28.0.1500.71.tar.xz) = f09685127415637a1b0fb22797f95039bb97366428e2e2ce3da888cbac7efdec
-SIZE (chromium-courgette-redacted-28.0.1500.71.tar.xz) = 156550816
+SHA256 (chromium-courgette-redacted-28.0.1500.95.tar.xz) = e782b523b92e12bec2024b593ec826c2ff476c77545a716963e914672e9e92fb
+SIZE (chromium-courgette-redacted-28.0.1500.95.tar.xz) = 157216824
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Rene Ladan freebsd_committer 2013-08-03 17:18:14 UTC
State Changed
From-To: feedback->closed

Restored the original minimum version in r324197, thanks